## komposter 0+git20201216+ds1

=== converter/Makefile ===
CCOPTS=-m32 -std=gnu99

# OS X
LDOPTS=-m32
# -L/opt/local/lib
CCOPTS=-FGLUT -m32 -std=gnu99 

# Linux
#LDOPTS=-lm
#CCOPTS=-std=gnu99 -m32

DEBUGOPT=-g
#DEBUGOPT=-mtune=core2 -O3

OBJS=converter.o fileops.o moduleinfo.o

all: converter

.c.o:
	gcc -c $(CCOPTS) $(DEBUGOPT) $<

converter: $(OBJS)
	gcc $(LDOPTS) -o converter $(OBJS)
	
clean:
	rm -f converter *.o *~

=== player/Makefile ===

UNAME := $(shell uname)
ifeq ($(UNAME), Linux)
GCC_PARAMS=-DMACOSX -Os -m32 -fomit-frame-pointer -ffast-math -Wall -fpack-struct -I/opt/local/include
NASM_PARAMS=-f elf32 -w+orphan-labels
AL_LD_PARAMS=-e _start -lc -shared --oformat elf32-i386
endif
ifeq ($(UNAME), Darwin)
GCC_PARAMS=-m32 -DMACOSX -Os -fomit-frame-pointer -ffast-math -Wall -fpack-struct -I/opt/local/include
NASM_PARAMS=-f macho -DMACOSX -w+orphan-labels
AL_LD_PARAMS=-m32 -e _start -framework OpenAL -lc
endif

OBJS=main.o player.o
#DEBUG=-DDEBUG=1 -g
DEBUG=-O2

.c.o:
	gcc $(GCC_PARAMS) $(DEBUG) $(FEATURES) -c $<

%.o: %.asm
	nasm $(NASM_PARAMS) $(DEBUG) $(FEATURES) $<

player: $(OBJS)
	gcc $(AL_LD_PARAMS) -o player main.o player.o
	strip player

pcompr:
	../../laturi/laturi.32 -f OpenAL -v -o pcompr -i main.o -i player.o

all: player

clean:
	rm -f example *.o *~ audio.raw player

## komposter 0+git20201216+ds

=== debian/changelog ===
komposter (0+git20201216+ds-3) unstable; urgency=medium

  * Update broken symlink. (Closes: #1040559)
  * Bump standards version to 4.6.2.
  * d/control: update build-depends for libfreetype-dev.

 -- Gürkan Myczko <tar@debian.org>  Mon, 24 Jul 2023 14:22:36 +0200

komposter (0+git20201216+ds-2) unstable; urgency=medium

  * Source only upload.
  * Drop -march=native.

 -- Gürkan Myczko <tar@debian.org>  Tue, 04 Jan 2022 13:52:06 +0100

komposter (0+git20201216+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #977612)

 -- Gürkan Myczko <tar@debian.org>  Sat, 18 Dec 2021 21:15:11 +0100

=== debian/control ===
Source: komposter
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Gürkan Myczko <tar@debian.org>
Build-Depends: debhelper-compat (= 13), libfreetype-dev, freeglut3-dev, mesa-common-dev, libopenal-dev, pkg-config, fonts-ferrite-core, fonts-agave, fonts-inter
Standards-Version: 4.6.2
Homepage: http://komposter.haxor.fi/
Vcs-Git: https://salsa.debian.org/multimedia-team/komposter.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/komposter
Rules-Requires-Root: no

Package: komposter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fonts-ferrite-core, fonts-agave, fonts-inter
Description: lightweight music composing system
 This is a lightweight music composing system intended mainly to be used
 in applications where the size of the executable must be minimized such as 4K
 and 64K intros.
 .
 It is built using a modular "virtual analog" model, where the composer can
 build the synthesizers from scratch using simple basic building blocks. This
 minimizes the amount of code required and relies more on data, which can be
 compressed more effectively.
 .
 A simple pattern-based sequencer is used to create songs which use up to 24
 voices, each of which can use a different synthesizer. Each synthesizer can be
 programmed with a number of patches that can be switched between patterns.
 .
 Included with Komposter is a music player with full x86 assembly source code
 as well as a converter for generating nasm-includeable files from song files.
 Source code for the converter is also provided.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --without autoreconf

override_dh_auto_build:
	sed -i s,-march=native,,g Makefile
	ln -sf /usr/share/fonts/opentype/ferrite-core/FerriteCoreDX-Medium.otf resources/m42.TTF
	dh_auto_build

override_dh_clean:
	ln -sf "/usr/share/fonts/opentype/ferrite-core/Ferrite Core DX-Bold.otf" resources/m42.TTF
	dh_clean

#override_dh_fixperms:
#	dh_fixperms
#	chmod -x debian/komposter/usr/share/komposter/*.TTF
#	chmod -x debian/komposter/usr/share/komposter/*.ttf

## komposter 0+git20201216+ds1

=== debian/changelog ===
komposter (0+git20201216+ds1-1) unstable; urgency=medium

  * Team upload
  * Repackage without .pc and debian/ (Closes: #1101605)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 12 Apr 2025 18:36:09 +0200

komposter (0+git20201216+ds-7) unstable; urgency=medium

  * Apply u32 patch to fix FTBFS on amd64. (Closes: #1099179)
    Thanks Adrian Bunk.
  * Drop the maybe patch.

 -- Alex Myczko <tar@debian.org>  Mon, 03 Mar 2025 09:43:29 +0000

komposter (0+git20201216+ds-6) unstable; urgency=medium

  * Maybe fix FTBFS on amd64.

 -- Alex Myczko <tar@debian.org>  Thu, 27 Feb 2025 12:54:35 +0000

komposter (0+git20201216+ds-5) unstable; urgency=medium

  * Fix FTBFS with gcc-14. (Closes: #1075121)

 -- Alex Myczko <tar@debian.org>  Thu, 27 Feb 2025 11:12:47 +0000

komposter (0+git20201216+ds-4) unstable; urgency=medium

  * Bump standards version to 4.7.0.
  * d/control: update build depends pkg-config to pkgconf.

 -- Alex Myczko <tar@debian.org>  Mon, 15 Jul 2024 14:14:44 +0000

=== debian/watch ===
version=4

# GitHub hosted projects
opts=dversionmangle=s/\+ds1$//,repacksuffix=+ds1,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/$1\.tar\.gz/ \
 https://github.com/electronoora/komposter/tags .*/v?(\d\S*)\.tar\.gz
